Package org.zkoss.stateless.sul

## Enum IA.Direction

- java.lang.Object
- - java.lang.Enum<IA.Direction>
  - - org.zkoss.stateless.sul.IA.Direction

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<IA.Direction>`
  Enclosing interface:
    IA<I extends IAnyGroup>

      public static enum IA.Direction
      extends java.lang.Enum<IA.Direction>

  Insert Adjacent `direction` for `IA.withDir(Direction)`

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `NORMAL` | Layout the image before the label.
    `REVERSE` | Layout the image after the label.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IA.Direction` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static IA.Direction[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NORMAL

          public static final IA.Direction NORMAL

      Layout the image before the label.

    - #### REVERSE

          public static final IA.Direction REVERSE

      Layout the image after the label.

  - ### Method Detail

    - #### values

          public static IA.Direction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IA.Direction c : IA.Direction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IA.Direction valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null